#ifndef INPUTOBJECT_H
#define INPUTOBJECT_H

#include <QWidget>
class QLineEdit;
class QDateEdit;
class QTextEdit;

//#define CUTE_STYLE

namespace Ui {
	class InputObject;
}

class InputObject : public QWidget
{
	Q_OBJECT

public:
	explicit InputObject(QWidget* parent = nullptr);
	~InputObject();
	bool eventFilter(QObject* obj, QEvent* event);
	void ShowPanel();
signals:
	void touchScreen();
private:
	Ui::InputObject* ui;
	void initUi();
	//	void ShowPanel();
	void HidePanel();
	QDateEdit* curDateEdit = nullptr;
	QLineEdit* curLine = nullptr;
	QTextEdit* curText = nullptr;
};

#endif // INPUTOBJECT_H
